// Code generated by "stringer -type=ResponseLocation -trimprefix=ResponseLocation -output zzz_ResponseLocation_string.go"; DO NOT EDIT.

package sectigoapiclient

import "strconv"

func _() {
	// An "invalid array index" compiler error signifies that the constant values have changed.
	// Re-run the stringer command to generate them again.
	var x [1]struct{}
	_ = x[ResponseLocationBody-1]
	_ = x[ResponseLocationHeader-2]
	_ = x[ResponseLocationBoth-3]
	_ = x[ResponseLocationReturnCode-4]
}

const _ResponseLocation_name = "BodyHeaderBothReturnCode"

var _ResponseLocation_index = [...]uint8{0, 4, 10, 14, 24}

func (i ResponseLocation) String() string {
	i -= 1
	if i < 0 || i >= ResponseLocation(len(_ResponseLocation_index)-1) {
		return "ResponseLocation(" + strconv.FormatInt(int64(i+1), 10) + ")"
	}
	return _ResponseLocation_name[_ResponseLocation_index[i]:_ResponseLocation_index[i+1]]
}
